---
date: 2024-05-21T15:59-08:00
title: Date sharing should always be opt in
description: Data sharing should always be opt in. I don't think that's unreasonable. What you need to operate a service should be the minimum you can possibly collect. If you can't operate a service on that basis perhaps you shouldn't operate it at all.
tags:
  - tech
  - AI
  - privacy
---
Data sharing should always be opt in. I don't think that's unreasonable. What you need to operate a service should be the minimum you can possibly collect. If you can't operate a service on that basis perhaps you shouldn't operate it at all.<!-- excerpt -->

Accessing publicly available data to train your AI? That should be opt in, not opt out. Every. Single. Time. Too cumbersome? Too bad. [You don't get to claim it simply because you get a `200` when you access it](https://coryd.dev/posts/2024/access-to-data-isnt-a-grant-to-exploit-it/).

Need more data to target ads better? Ask users for explicit permission. If that's too cumbersome, your ads are too invasive.

Defaulting to opt outs for data sharing enables much of the worst behavior on the web. Don't want your chats used to train AI? Send us an email. Don't want everything you've ever dared to put online sucked into the gaping maw of yet another LLM? Too bad — it's transformative. Or something.

Knowing that you can't engage with nearly any technology lately without being poked, prodded and examined is exhausting. Data should be so painstakingly guarded and obtained that [it's treated as toxic](https://www.schneier.com/blog/archives/2016/03/data_is_a_toxic.html). No more open-ended access to user data in perpetuity, not when you're pivoting from a vaguely useful social media platform to chatbot kibble.

Users will trust you if the relationship you have with them is clearly defined. If they *know* what they share with you is limited and carefully guarded. If you need more data, users should know what that data is and how it'll be obtained. Simple transparency. If it serves them, they'll opt in. It only serves you to make it opt out.